goocanvasmm: Goocanvas::PathModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::PathModel Class Reference
Inheritance diagram for Goocanvas::PathModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~PathModel ()
GooCanvasPathModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasPathModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasPathModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_data ()
| The sequence of path commands.
## Static Public Member Functions
static Glib::RefPtr< PathModel > | create (const Glib::ustring& data)
## Protected Member Functions
| PathModel (const Glib::ustring& data)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::PathModel > | wrap (GooCanvasPathModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::PathModel::~PathModel | ( |  | ) | `[virtual]`

Goocanvas::PathModel::PathModel | ( | const Glib::ustring & | data | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<PathModel> Goocanvas::PathModel::create | ( | const Glib::ustring & | data | ) | `[static]`

GooCanvasPathModel* Goocanvas::PathModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

const GooCanvasPathModel* Goocanvas::PathModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasPathModel* Goocanvas::PathModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::PathModel::property_data | ( |  | ) |

The sequence of path commands.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::PathModel > wrap | ( | GooCanvasPathModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/pathmodel.h